package imcacat.adxvctl;

import java.io.File;

import javax.swing.filechooser.FileFilter;

/**
 * I am a {@link javax.swing.filechooser.FileFilter} for use in a Swing file
 * chooser to filter selectable files. I accept all directories, and I accept
 * any files that my {@link java.io.FileFilter} instance accepts.
 */
public class FileChooserFileFilter extends FileFilter {
  protected java.io.FileFilter fileFilter;
  protected String description;

  public FileChooserFileFilter(java.io.FileFilter fileFilter,
      String description) {
    super();
    this.fileFilter = fileFilter;
    this.description = description;
  }

  public boolean accept(File aFile) {
    return aFile.isDirectory() || fileFilter.accept(aFile);
  }

  public String getDescription() {
    return description;
  }
}
