package imcacat.adxvctl;

import java.io.File;
import java.text.ParseException;

import javax.swing.text.DefaultFormatter;

/**
 * I am a formatter that formats a <code>File</code> object representing a
 * file system file as a <code>String</code>. I am suitable for use by a
 * GUI component that wants to display a <code>File</code> object.
 */
public class FileFormatter extends DefaultFormatter {
  private static final long serialVersionUID = 1;

  protected boolean isEmptyAllowed;

  public FileFormatter() {
    this(false);
  }

  public FileFormatter(boolean isEmptyAllowed) {
    super();
    this.isEmptyAllowed = isEmptyAllowed;
  }
  public Object stringToValue(String fileString) throws ParseException {
    File file = new File(fileString);
    if (isEmptyAllowed && fileString.equals("")) return file;
    if (file.isFile()) return file;
    throw new ParseException("File does not exist",
      fileString.length());
  }

  public String valueToString(Object file) throws ParseException {
    return file == null ? "" : ((File)file).getPath();
  }
}
