package imcacat.adxvctl;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.ArrayList;
import java.util.List;

import javax.swing.AbstractAction;
import javax.swing.Icon;

/**
 * I am an <code>Action</code> with <code>addActionListener()</code> and
 * <code>removeActionListener()</code> methods allowing an
 * <code>ActionListener</code> to register itself as a listener of me.
 */
public class ListenableAction extends AbstractAction {
  private static final long serialVersionUID = 1;

  protected List<ActionListener> listeners = new ArrayList<ActionListener>();

  public ListenableAction() {
    super();
  }

  public ListenableAction(String name) {
    super(name);
  }

  public ListenableAction(String name, Icon icon) {
    super(name, icon);
  }

  public synchronized void actionPerformed(ActionEvent event) {
    for (ActionListener each : listeners) each.actionPerformed(event);
  }

  public synchronized void addActionListener(ActionListener listener) {
    listeners.add(listener);
  }

  public synchronized void removeActionListener(ActionListener listener) {
    listeners.remove(listener);
  }

  public synchronized void removeAllActionListeners() {
    listeners.clear();
  }
}
