package imcacat.adxvctl;

import imcacat.epicsca4j.util.ObjectUtilities;

import java.io.File;

/**
 * I represent an item in a {@link WrittenToDiskMonitor} instance's queue.
 */
public class WrittenToDiskQueueItem {
  protected File file;
  protected long enqueueTime;
  protected long collectTime;

  public WrittenToDiskQueueItem(File file, long enqueueTime,
      long collectTime) {
    this.file = file;
    this.enqueueTime = enqueueTime;
    this.collectTime = collectTime;
  }

  @Override
  public boolean equals(Object obj) {
    if (!(obj instanceof WrittenToDiskQueueItem)) return false;
    WrittenToDiskQueueItem item = (WrittenToDiskQueueItem)obj;
    if (enqueueTime != item.enqueueTime) return false;
    if (collectTime != item.collectTime) return false;
    return ObjectUtilities.areEqual(file, item.file);
  }

  @Override
  public int hashCode() {
    return (int)enqueueTime ^ (int)collectTime ^
      ((file == null) ? 0 : file.hashCode());
  }

  public File getFile() {
    return file;
  }

  public long getEnqueueTime() {
    return enqueueTime;
  }

  public long getCollectTime() {
    return collectTime;
  }
}
