package imcacat.adxvctl.util;

/**
 * I represent a pair of objects.
 * <p>
 * I may be used wherever there is a need to bundle two objects together. For
 * example, say you want to return two objects from a method, you could use me
 * to do this.
 */
public class Pair<F,S> {
  protected F first;
  protected S second;

  public Pair() {
    super();
  }

  public Pair(F first, S second) {
    this.first = first;
    this.second = second;
  }

  public F getFirst() {
    return first;
  }

  public void setFirst(F first) {
    this.first = first;
  }

  public S getSecond() {
    return second;
  }

  public void setSecond(S second) {
    this.second = second;
  }
}
