package imcacat.adxvctl.util;

import java.io.UnsupportedEncodingException;

/**
 * I provide utilities related to strings.
 */
public class StringUtilities {
  private StringUtilities() {
    super();
  }

  public static boolean endsWithIgnoreCase(String subject, String suffix) {
    if (suffix.length() > subject.length()) return false;
    return subject.substring(
      subject.length() - suffix.length()).equalsIgnoreCase(suffix);
  }

  public static String convertNulTerminatedByteArrayToString(byte[] value,
      String charsetName) throws UnsupportedEncodingException {
    int nulIndex = value.length;
    for (int i = 0; i < value.length; i++) {
      if (value[i] == '\0') {
        nulIndex = i;
        break;
      }
    }
    return new String(value, 0, nulIndex, charsetName);
  }
}
